Show / Hide Table of Contents

# Interface IHasConfigUi

This interface represents a Dalamud plugin that has a configuration UI which can be triggered.

##### Inherited Members

IHasUi.Draw(UiBuilder)
IDalamudPlugin.Name
IDalamudPlugin.Initialize(DalamudPluginInterface)
System.IDisposable.Dispose()

###### Namespace: Dalamud.Plugin.Features

###### Assembly: Dalamud.dll

##### Syntax

    public interface IHasConfigUi : IHasUi, IDalamudPlugin, IDisposable

### Properties

| Improve this Doc View Source

#### OpenConfigUi

An event handler that is fired when the plugin should show its configuration interface.

##### Declaration

    EventHandler OpenConfigUi { get; }

##### Property Value

Type | Description
--- | ---
System.EventHandler |